diff --git a/libpurple/protocols/jabber/auth_cyrus.c b/libpurple/protocols/jabber/auth_cyrus.c
--- a/libpurple/protocols/jabber/auth_cyrus.c
+++ b/libpurple/protocols/jabber/auth_cyrus.c
@@ -336,9 +336,6 @@
 		purple_xmlnode_set_namespace(auth, NS_XMPP_SASL);
 		purple_xmlnode_set_attrib(auth, "mechanism", js->current_mech);
 
-		purple_xmlnode_set_attrib(auth, "xmlns:ga", "http://www.google.com/talk/protocol/auth");
-		purple_xmlnode_set_attrib(auth, "ga:client-uses-full-bind-result", "true");
-
 		if (clientout) {
 			if (coutlen == 0) {
 				purple_xmlnode_insert_data(auth, "=", -1);
diff --git a/libpurple/protocols/jabber/auth_plain.c b/libpurple/protocols/jabber/auth_plain.c
--- a/libpurple/protocols/jabber/auth_plain.c
+++ b/libpurple/protocols/jabber/auth_plain.c
@@ -36,9 +36,6 @@
 	auth = purple_xmlnode_new("auth");
 	purple_xmlnode_set_namespace(auth, NS_XMPP_SASL);
 
-	purple_xmlnode_set_attrib(auth, "xmlns:ga", "http://www.google.com/talk/protocol/auth");
-	purple_xmlnode_set_attrib(auth, "ga:client-uses-full-bind-result", "true");
-
 	response = g_string_new("");
 	response = g_string_append_c(response, '\0');
 	response = g_string_append(response, js->user->node);
diff --git a/libpurple/protocols/jabber/auth_webex.c b/libpurple/protocols/jabber/auth_webex.c
--- a/libpurple/protocols/jabber/auth_webex.c
+++ b/libpurple/protocols/jabber/auth_webex.c
@@ -32,9 +32,6 @@
 	auth = purple_xmlnode_new("auth");
 	purple_xmlnode_set_namespace(auth, NS_XMPP_SASL);
 
-	purple_xmlnode_set_attrib(auth, "xmlns:ga", "http://www.google.com/talk/protocol/auth");
-	purple_xmlnode_set_attrib(auth, "ga:client-uses-full-bind-result", "true");
-
 	purple_xmlnode_set_attrib(auth, "mechanism", "WEBEX-TOKEN");
 	purple_xmlnode_insert_data(auth, purple_connection_get_password(js->gc), -1);
 
diff --git a/libpurple/protocols/jabber/buddy.c b/libpurple/protocols/jabber/buddy.c
--- a/libpurple/protocols/jabber/buddy.c
+++ b/libpurple/protocols/jabber/buddy.c
@@ -33,7 +33,6 @@
 #include "xdata.h"
 #include "pep.h"
 #include "adhoccommands.h"
-#include "google/google.h"
 
 typedef struct {
 	long idle_seconds;
@@ -898,19 +897,6 @@
 	}
 }
 
-static gboolean
-set_own_vcard_cb(gpointer data)
-{
-	JabberStream *js = data;
-	PurpleAccount *account = purple_connection_get_account(js->gc);
-
-	js->vcard_timer = 0;
-
-	jabber_set_info(NULL, js->gc, purple_account_get_user_info(account));
-
-	return FALSE;
-}
-
 static void jabber_vcard_save_mine(JabberStream *js, const char *from,
                                    JabberIqType type, const char *id,
                                    PurpleXmlNode *packet, gpointer data)
@@ -960,18 +946,7 @@
 
 	/* Republish our vcard if the photo is different than the server's */
 	if (js->initial_avatar_hash && !purple_strequal(vcard_hash, js->initial_avatar_hash)) {
-		/*
-		 * Google Talk has developed the behavior that it will not accept
-		 * a vcard set in the first 10 seconds (or so) of the connection;
-		 * it returns an error (namespaces trimmed):
-		 * <error code="500" type="wait"><internal-server-error/></error>.
-		 */
-		if (js->googletalk) {
-			js->vcard_timer = g_timeout_add_seconds(10, set_own_vcard_cb,
-			                                             js);
-		} else {
-			jabber_set_info(NULL, js->gc, purple_account_get_user_info(account));
-		}
+		jabber_set_info(NULL, js->gc, purple_account_get_user_info(account));
 	} else if (vcard_hash) {
 		/* A photo is in the vCard. Advertise its hash */
 		js->avatar_hash = vcard_hash;
@@ -1872,13 +1847,6 @@
 		m = g_list_append(m, act);
 	}
 
-	if (js->googletalk) {
-		act = purple_action_menu_new(_("Initiate _Chat"),
-		                           PURPLE_CALLBACK(google_buddy_node_chat),
-		                           NULL, NULL);
-		m = g_list_append(m, act);
-	}
-
 	/*
 	 * This if-condition implements parts of XEP-0100: Gateway Interaction
 	 *
diff --git a/libpurple/protocols/jabber/caps.c b/libpurple/protocols/jabber/caps.c
--- a/libpurple/protocols/jabber/caps.c
+++ b/libpurple/protocols/jabber/caps.c
@@ -336,10 +336,6 @@
 		return TRUE;
 
 	for (i = 0; exts[i]; ++i) {
-		/* Hack since we advertise the ext along with v1.5 caps but don't
-		 * store any exts */
-		if (purple_strequal(exts[i], "voice-v1") && !info->exts)
-			continue;
 		if (!info->exts ||
 				!g_hash_table_lookup(info->exts->exts, exts[i]))
 			return FALSE;
diff --git a/libpurple/protocols/jabber/disco.c b/libpurple/protocols/jabber/disco.c
--- a/libpurple/protocols/jabber/disco.c
+++ b/libpurple/protocols/jabber/disco.c
@@ -26,8 +26,6 @@
 #include "adhoccommands.h"
 #include "buddy.h"
 #include "disco.h"
-#include "google/google.h"
-#include "google/jingleinfo.h"
 #include "iq.h"
 #include "jabber.h"
 #include "jingle/jingle.h"
@@ -134,44 +132,6 @@
 					purple_xmlnode_set_attrib(feature, "var", feat->namespace);
 				}
 			}
-#ifdef USE_VV
-		} else if (purple_strequal(node, CAPS0115_NODE "#" "voice-v1")) {
-			/*
-			 * HUGE HACK! We advertise this ext (see jabber_presence_create_js
-			 * where we add <c/> to the <presence/>) for the Google Talk
-			 * clients that don't actually check disco#info features.
-			 *
-			 * This specific feature is redundant but is what
-			 * node='http://mail.google.com/xmpp/client/caps', ver='1.1'
-			 * advertises as 'voice-v1'.
-			 */
-			PurpleXmlNode *feature = purple_xmlnode_new_child(query, "feature");
-			purple_xmlnode_set_attrib(feature, "var", NS_GOOGLE_VOICE);
-		} else if (purple_strequal(node, CAPS0115_NODE "#" "video-v1")) {
-			/*
-			 * HUGE HACK! We advertise this ext (see jabber_presence_create_js
-			 * where we add <c/> to the <presence/>) for the Google Talk
-			 * clients that don't actually check disco#info features.
-			 *
-			 * This specific feature is redundant but is what
-			 * node='http://mail.google.com/xmpp/client/caps', ver='1.1'
-			 * advertises as 'video-v1'.
-			 */
-			PurpleXmlNode *feature = purple_xmlnode_new_child(query, "feature");
-			purple_xmlnode_set_attrib(feature, "var", NS_GOOGLE_VIDEO);
-		} else if (purple_strequal(node, CAPS0115_NODE "#" "camera-v1")) {
-			/*
-			 * HUGE HACK! We advertise this ext (see jabber_presence_create_js
-			 * where we add <c/> to the <presence/>) for the Google Talk
-			 * clients that don't actually check disco#info features.
-			 *
-			 * This specific feature is redundant but is what
-			 * node='http://mail.google.com/xmpp/client/caps', ver='1.1'
-			 * advertises as 'camera-v1'.
-			 */
-			PurpleXmlNode *feature = purple_xmlnode_new_child(query, "feature");
-			purple_xmlnode_set_attrib(feature, "var", NS_GOOGLE_CAMERA);
-#endif
 		} else {
 			PurpleXmlNode *error, *inf;
 
@@ -508,16 +468,7 @@
 		g_free(js->server_name);
 		js->server_name = g_strdup(name);
 		stun_ip = purple_network_get_stun_ip();
-		if (purple_strequal(name, "Google Talk")) {
-			purple_debug_info("jabber", "Google Talk!\n");
-			js->googletalk = TRUE;
-
-			/* autodiscover stun and relays */
-			if (!stun_ip || !*stun_ip) {
-				jabber_google_send_jingle_info(js);
-			}
-		} else if (!stun_ip || !*stun_ip) {
-
+		if (!stun_ip || !*stun_ip) {
 			GResolver *resolver = g_resolver_get_default();
 			g_resolver_lookup_service_async(resolver,
 			                                "stun",
@@ -538,9 +489,7 @@
 		if (!var)
 			continue;
 
-		if (purple_strequal(NS_GOOGLE_ROSTER, var)) {
-			js->server_caps |= JABBER_CAP_GOOGLE_ROSTER;
-		} else if (purple_strequal("http://jabber.org/protocol/commands", var)) {
+		if (purple_strequal("http://jabber.org/protocol/commands", var)) {
 			js->server_caps |= JABBER_CAP_ADHOC;
 		} else if (purple_strequal(NS_SIMPLE_BLOCKING, var)) {
 			js->server_caps |= JABBER_CAP_BLOCKING;
diff --git a/libpurple/protocols/jabber/iq.c b/libpurple/protocols/jabber/iq.c
--- a/libpurple/protocols/jabber/iq.c
+++ b/libpurple/protocols/jabber/iq.c
@@ -26,9 +26,6 @@
 
 #include "buddy.h"
 #include "disco.h"
-#include "google/google.h"
-#include "google/jingleinfo.h"
-#include "google/google_session.h"
 #include "iq.h"
 #include "jingle/jingle.h"
 #include "oob.h"
@@ -546,8 +543,6 @@
 
 	jabber_iq_register_handler("jingle", JINGLE, jingle_parse);
 	jabber_iq_register_handler("ping", NS_PING, jabber_ping_parse);
-	jabber_iq_register_handler("query", NS_GOOGLE_JINGLE_INFO,
-			jabber_google_handle_jingle_info);
 	jabber_iq_register_handler("query", NS_BYTESTREAMS,
 			jabber_bytestreams_parse);
 	jabber_iq_register_handler("query", NS_DISCO_INFO, jabber_disco_info_parse);
@@ -560,10 +555,6 @@
 			jabber_roster_parse);
 	jabber_iq_register_handler("query", "jabber:iq:version",
 			jabber_iq_version_parse);
-#ifdef USE_VV
-	jabber_iq_register_handler("session", NS_GOOGLE_SESSION,
-		jabber_google_session_parse);
-#endif
 	jabber_iq_register_handler("block", NS_SIMPLE_BLOCKING, jabber_blocklist_parse_push);
 	jabber_iq_register_handler("unblock", NS_SIMPLE_BLOCKING, jabber_blocklist_parse_push);
 	jabber_iq_register_handler("time", NS_ENTITY_TIME, jabber_time_parse);
diff --git a/libpurple/protocols/jabber/jabber.h b/libpurple/protocols/jabber/jabber.h
--- a/libpurple/protocols/jabber/jabber.h
+++ b/libpurple/protocols/jabber/jabber.h
@@ -37,12 +37,6 @@
 	JABBER_CAP_IQ_SEARCH      = 1 << 7,
 	JABBER_CAP_IQ_REGISTER    = 1 << 8,
 
-	/* Google Talk extensions:
-	 * https://developers.google.com/talk/jep_extensions/extensions
-	 */
-	JABBER_CAP_GMAIL_NOTIFY   = 1 << 9,
-	JABBER_CAP_GOOGLE_ROSTER  = 1 << 10,
-
 	JABBER_CAP_PING           = 1 << 11,
 	JABBER_CAP_ADHOC          = 1 << 12,
 	JABBER_CAP_BLOCKING       = 1 << 13,
@@ -207,12 +201,8 @@
 	gboolean reinit;
 
 	JabberCapabilities server_caps;
-	gboolean googletalk;
 	char *server_name;
 
-	char *gmail_last_time;
-	char *gmail_last_tid;
-
 	char *serverFQDN;
 
 #ifdef HAVE_CYRUS_SASL
@@ -281,10 +271,6 @@
 	/* maybe this should only be present when USE_VV? */
 	gchar *stun_ip;
 	int stun_port;
-
-	/* stuff for Google's relay handling */
-	gchar *google_relay_token;
-	gchar *google_relay_host;
 };
 
 typedef gboolean (JabberFeatureEnabled)(JabberStream *js, const gchar *namespace);
diff --git a/libpurple/protocols/jabber/jabber.c b/libpurple/protocols/jabber/jabber.c
--- a/libpurple/protocols/jabber/jabber.c
+++ b/libpurple/protocols/jabber/jabber.c
@@ -35,10 +35,6 @@
 #include "chat.h"
 #include "data.h"
 #include "disco.h"
-#include "google/google.h"
-#include "google/google_p2p.h"
-#include "google/google_roster.h"
-#include "google/google_session.h"
 #include "ibb.h"
 #include "iq.h"
 #include "jutil.h"
@@ -54,7 +50,6 @@
 #include "pep.h"
 #include "adhoccommands.h"
 #include "xmpp.h"
-#include "gtalk.h"
 
 #include "jingle/jingle.h"
 #include "jingle/content.h"
@@ -73,7 +68,6 @@
 GList *jabber_identities = NULL;
 
 static PurpleProtocol *xmpp_protocol = NULL;
-static PurpleProtocol *gtalk_protocol = NULL;
 
 static GHashTable *jabber_cmds = NULL; /* PurpleProtocol * => GSList of ids */
 
@@ -1004,8 +998,6 @@
 	js->sessions = NULL;
 	js->stun_ip = NULL;
 	js->stun_port = 0;
-	js->google_relay_token = NULL;
-	js->google_relay_host = NULL;
 
 	/* if we are idle, set idle-ness on the stream (this could happen if we get
 		disconnected and the reconnects while being idle. I don't think it makes
@@ -1688,8 +1680,6 @@
 	g_list_free_full(js->commands, (GDestroyNotify)jabber_adhoc_commands_free);
 	g_free(js->server_name);
 	g_free(js->certificate_CN);
-	g_free(js->gmail_last_time);
-	g_free(js->gmail_last_tid);
 	g_free(js->old_msg);
 	g_free(js->old_avatarhash);
 	g_free(js->old_artist);
@@ -1713,10 +1703,6 @@
 
 	g_free(js->stun_ip);
 
-	/* remove Google relay-related stuff */
-	g_free(js->google_relay_token);
-	g_free(js->google_relay_host);
-
 	g_free(js);
 
 	purple_connection_set_protocol_data(gc, NULL);
@@ -1923,12 +1909,6 @@
 	if (js == NULL)
 		return;
 
-	if (js->server_caps & JABBER_CAP_GOOGLE_ROSTER)
-	{
-		jabber_google_roster_add_deny(js, who);
-		return;
-	}
-
 	if (!(js->server_caps & JABBER_CAP_BLOCKING))
 	{
 		purple_notify_error(NULL, _("Server doesn't support blocking"),
@@ -1961,12 +1941,6 @@
 	if (js == NULL)
 		return;
 
-	if (js->server_caps & JABBER_CAP_GOOGLE_ROSTER)
-	{
-		jabber_google_roster_rem_deny(js, who);
-		return;
-	}
-
 	if (!(js->server_caps & JABBER_CAP_BLOCKING))
 		return;
 
@@ -3384,13 +3358,7 @@
 
 		g_free(resource);
 
-		if (type & PURPLE_MEDIA_AUDIO &&
-			!jabber_resource_has_capability(jbr,
-				JINGLE_APP_RTP_SUPPORT_AUDIO) &&
-			jabber_resource_has_capability(jbr, NS_GOOGLE_VOICE))
-			return jabber_google_session_initiate(js, who, type);
-		else
-			return jingle_rtp_initiate_media(js, who, type);
+		return jingle_rtp_initiate_media(js, who, type);
 	} else if(!jb->resources->next) {
 		/* only 1 resource online (probably our most common case)
 		 * so no need to ask who to initiate with */
@@ -3558,11 +3526,6 @@
 				caps |= PURPLE_MEDIA_CAPS_MODIFY_SESSION |
 						PURPLE_MEDIA_CAPS_CHANGE_DIRECTION;
 		}
-		if (jabber_resource_has_capability(jbr, NS_GOOGLE_VOICE)) {
-			caps |= PURPLE_MEDIA_CAPS_AUDIO;
-			if (jabber_resource_has_capability(jbr, NS_GOOGLE_VIDEO))
-				caps |= PURPLE_MEDIA_CAPS_AUDIO_VIDEO;
-		}
 
 		total |= caps;
 	}
@@ -3967,10 +3930,6 @@
 	jabber_add_feature(JINGLE, NULL);
 
 #ifdef USE_VV
-	jabber_add_feature(NS_GOOGLE_PROTOCOL_SESSION, jabber_audio_enabled);
-	jabber_add_feature(NS_GOOGLE_VOICE, jabber_audio_enabled);
-	jabber_add_feature(NS_GOOGLE_VIDEO, jabber_video_enabled);
-	jabber_add_feature(NS_GOOGLE_CAMERA, jabber_video_enabled);
 	jabber_add_feature(JINGLE_APP_RTP, NULL);
 	jabber_add_feature(JINGLE_APP_RTP_SUPPORT_AUDIO, jabber_audio_enabled);
 	jabber_add_feature(JINGLE_APP_RTP_SUPPORT_VIDEO, jabber_video_enabled);
@@ -4319,8 +4278,8 @@
 		"name",         "XMPP Protocols",
 		"version",      DISPLAY_VERSION,
 		"category",     N_("Protocol"),
-		"summary",      N_("XMPP and GTalk Protocols Plugin"),
-		"description",  N_("XMPP and GTalk Protocols Plugin"),
+		"summary",      N_("XMPP Protocol Plugin"),
+		"description",  N_("XMPP Protocol Plugin"),
 		"website",      PURPLE_WEBSITE,
 		"abi-version",  PURPLE_ABI_VERSION,
 		"flags",        PURPLE_PLUGIN_INFO_FLAGS_INTERNAL |
@@ -4337,7 +4296,6 @@
 	jingle_transport_register(plugin);
 	jingle_iceudp_register(plugin);
 	jingle_rawudp_register(plugin);
-	jingle_google_p2p_register(plugin);
 
 	jingle_content_register(plugin);
 #ifdef USE_VV
@@ -4346,7 +4304,6 @@
 
 	jabber_protocol_register_type(G_TYPE_MODULE(plugin));
 
-	gtalk_protocol_register(plugin);
 	xmpp_protocol_register(plugin);
 
 	jabber_si_xfer_register(G_TYPE_MODULE(plugin));
@@ -4355,17 +4312,10 @@
 	if (!xmpp_protocol)
 		return FALSE;
 
-	gtalk_protocol = purple_protocols_add(GTALK_TYPE_PROTOCOL, error);
-	if (!gtalk_protocol)
-		return FALSE;
-
 	purple_signal_connect(purple_get_core(), "uri-handler", xmpp_protocol,
 		PURPLE_CALLBACK(xmpp_uri_handler), xmpp_protocol);
-	purple_signal_connect(purple_get_core(), "uri-handler", gtalk_protocol,
-		PURPLE_CALLBACK(xmpp_uri_handler), gtalk_protocol);
 
 	jabber_init_protocol(xmpp_protocol);
-	jabber_init_protocol(gtalk_protocol);
 
 	return TRUE;
 }
@@ -4375,15 +4325,9 @@
 {
 	purple_signal_disconnect(purple_get_core(), "uri-handler",
 			xmpp_protocol, PURPLE_CALLBACK(xmpp_uri_handler));
-	purple_signal_disconnect(purple_get_core(), "uri-handler",
-			gtalk_protocol, PURPLE_CALLBACK(xmpp_uri_handler));
-
-	jabber_uninit_protocol(gtalk_protocol);
+
 	jabber_uninit_protocol(xmpp_protocol);
 
-	if (!purple_protocols_remove(gtalk_protocol, error))
-		return FALSE;
-
 	if (!purple_protocols_remove(xmpp_protocol, error))
 		return FALSE;
 
diff --git a/libpurple/protocols/jabber/jingle/jingle.h b/libpurple/protocols/jabber/jingle/jingle.h
--- a/libpurple/protocols/jabber/jingle/jingle.h
+++ b/libpurple/protocols/jabber/jingle/jingle.h
@@ -75,8 +75,7 @@
 void jingle_terminate_sessions(JabberStream *js);
 
 #ifdef USE_VV
-/* create a GParam array given autoconfigured STUN (and later perhaps TURN).
-	if google_talk is TRUE, set compatability mode to GOOGLE_TALK */
+/* create a GParam array given autoconfigured STUN (and later perhaps TURN). */
 G_GNUC_BEGIN_IGNORE_DEPRECATIONS
 GParameter *jingle_get_params(JabberStream *js, const gchar *relay_ip,
 	guint relay_udp, guint relay_tcp, guint relay_ssltcp,
diff --git a/libpurple/protocols/jabber/jingle/jingle.c b/libpurple/protocols/jabber/jingle/jingle.c
--- a/libpurple/protocols/jabber/jingle/jingle.c
+++ b/libpurple/protocols/jabber/jingle/jingle.c
@@ -27,7 +27,6 @@
 
 #include "content.h"
 #include "jingle.h"
-#include "google/google_p2p.h"
 #include "session.h"
 #include "iceudp.h"
 #include "rawudp.h"
@@ -51,8 +50,6 @@
 #ifdef USE_VV
 	else if (purple_strequal(type, JINGLE_APP_RTP))
 		return JINGLE_TYPE_RTP;
-	else if (!strcmp(type, NS_GOOGLE_TRANSPORT_P2P))
-		return JINGLE_TYPE_GOOGLE_P2P;
 #endif
 	else
 		return G_TYPE_NONE;
@@ -479,13 +476,13 @@
 
 		if (has_account_stun) {
 			purple_debug_info("jabber",
-				"setting param stun-ip for stream using Google auto-config: %s\n",
+				"setting param stun-ip for stream using auto-config: %s\n",
 				js->stun_ip);
 			params[next_index].name = "stun-ip";
 			g_value_init(&params[next_index].value, G_TYPE_STRING);
 			g_value_set_string(&params[next_index].value, js->stun_ip);
 			purple_debug_info("jabber",
-				"setting param stun-port for stream using Google auto-config: %d\n",
+				"setting param stun-port for stream using auto-config: %d\n",
 				js->stun_port);
 			next_index++;
 			params[next_index].name = "stun-port";
diff --git a/libpurple/protocols/jabber/jingle/rtp.c b/libpurple/protocols/jabber/jingle/rtp.c
--- a/libpurple/protocols/jabber/jingle/rtp.c
+++ b/libpurple/protocols/jabber/jingle/rtp.c
@@ -32,7 +32,6 @@
 
 #include "jabber.h"
 #include "jingle.h"
-#include "google/google_p2p.h"
 #include "iceudp.h"
 #include "rawudp.h"
 #include "rtp.h"
@@ -342,8 +341,6 @@
 		transmitter = "rawudp";
 	else if (JINGLE_IS_ICEUDP(transport))
 		transmitter = "nice";
-	else if (JINGLE_IS_GOOGLE_P2P(transport))
-		transmitter = "nice";
 	else
 		transmitter = "notransmitter";
 	g_object_unref(transport);
@@ -865,8 +862,6 @@
 		transport_type = JINGLE_TRANSPORT_ICEUDP;
 	} else if (jabber_resource_has_capability(jbr, JINGLE_TRANSPORT_RAWUDP)) {
 		transport_type = JINGLE_TRANSPORT_RAWUDP;
-	} else if (jabber_resource_has_capability(jbr, NS_GOOGLE_TRANSPORT_P2P)) {
-		transport_type = NS_GOOGLE_TRANSPORT_P2P;
 	} else {
 		purple_debug_error("jingle-rtp", "Resource doesn't support "
 				"the same transport types\n");
diff --git a/libpurple/protocols/jabber/meson.build b/libpurple/protocols/jabber/meson.build
--- a/libpurple/protocols/jabber/meson.build
+++ b/libpurple/protocols/jabber/meson.build
@@ -25,22 +25,6 @@
 	'data.h',
 	'disco.c',
 	'disco.h',
-	'google/google.c',
-	'google/google.h',
-	'google/google_p2p.c',
-	'google/google_p2p.h',
-	'google/google_presence.c',
-	'google/google_presence.h',
-	'google/google_roster.c',
-	'google/google_roster.h',
-	'google/google_session.c',
-	'google/google_session.h',
-	'google/jingleinfo.c',
-	'google/jingleinfo.h',
-	'google/relay.c',
-	'google/relay.h',
-	'gtalk.c',
-	'gtalk.h',
 	'ibb.c',
 	'ibb.h',
 	'iq.c',
diff --git a/libpurple/protocols/jabber/message.c b/libpurple/protocols/jabber/message.c
--- a/libpurple/protocols/jabber/message.c
+++ b/libpurple/protocols/jabber/message.c
@@ -28,7 +28,6 @@
 #include "buddy.h"
 #include "chat.h"
 #include "data.h"
-#include "google/google.h"
 #include "message.h"
 #include "pep.h"
 #include "iq.h"
@@ -163,12 +162,6 @@
 			purple_serv_got_typing_stopped(gc, contact);
 	}
 
-	if (jm->js->googletalk && jm->body && jm->xhtml == NULL) {
-		char *tmp = jm->body;
-		jm->body = jabber_google_format_to_html(jm->body);
-		g_free(tmp);
-	}
-
 	body = jm_body_with_oob(jm);
 
 	if(body && body->len) {
diff --git a/libpurple/protocols/jabber/namespaces.h b/libpurple/protocols/jabber/namespaces.h
--- a/libpurple/protocols/jabber/namespaces.h
+++ b/libpurple/protocols/jabber/namespaces.h
@@ -104,22 +104,6 @@
 /* XEP-0297 Stanza Forwarding */
 #define NS_FORWARD "urn:xmpp:forward:0"
 
-/* Google extensions */
-#define NS_GOOGLE_CAMERA "http://www.google.com/xmpp/protocol/camera/v1"
-#define NS_GOOGLE_VIDEO "http://www.google.com/xmpp/protocol/video/v1"
-#define NS_GOOGLE_VOICE "http://www.google.com/xmpp/protocol/voice/v1"
-#define NS_GOOGLE_JINGLE_INFO "google:jingleinfo"
-
-#define NS_GOOGLE_MAIL_NOTIFY "google:mail:notify"
-#define NS_GOOGLE_ROSTER "google:roster"
-
-#define NS_GOOGLE_PROTOCOL_SESSION "http://www.google.com/xmpp/protocol/session"
-#define NS_GOOGLE_SESSION "http://www.google.com/session"
-#define NS_GOOGLE_SESSION_PHONE "http://www.google.com/session/phone"
-#define NS_GOOGLE_SESSION_VIDEO "http://www.google.com/session/video"
-
-#define NS_GOOGLE_TRANSPORT_P2P "http://www.google.com/transport/p2p"
-
 /* Apple extension(s) */
 #define NS_APPLE_IDLE "http://www.apple.com/xmpp/idle"
 
diff --git a/libpurple/protocols/jabber/presence.c b/libpurple/protocols/jabber/presence.c
--- a/libpurple/protocols/jabber/presence.c
+++ b/libpurple/protocols/jabber/presence.c
@@ -26,8 +26,6 @@
 
 #include "buddy.h"
 #include "chat.h"
-#include "google/google.h"
-#include "google/google_presence.h"
 #include "presence.h"
 #include "iq.h"
 #include "jutil.h"
@@ -201,11 +199,6 @@
 	allowBuzz = purple_status_get_attr_boolean(status,"buzz");
 	/* changing the buzz state has to trigger a re-broadcasting of the presence for caps */
 
-	tune = purple_presence_get_status(p, "tune");
-	if (js->googletalk && !stripped && purple_status_is_active(tune)) {
-		stripped = jabber_google_presence_outgoing(tune);
-	}
-
 	/* check if there are any differences to the <presence> and send them in that case */
 	if (force || allowBuzz != js->allowBuzz || js->old_state != state ||
 		!purple_strequal(js->old_msg, stripped) || js->old_priority != priority ||
@@ -248,6 +241,7 @@
 	g_free(stripped);
 
 	/* next, check if there are any changes to the tune values */
+	tune = purple_presence_get_status(p, "tune");
 	if (purple_status_is_active(tune)) {
 		artist = purple_status_get_attr_string(tune, PURPLE_TUNE_ARTIST);
 		title = purple_status_get_attr_string(tune, PURPLE_TUNE_TITLE);
@@ -294,9 +288,6 @@
 {
 	PurpleXmlNode *show, *status, *presence, *pri, *c;
 	const char *show_string = NULL;
-#ifdef USE_VV
-	gboolean audio_enabled, video_enabled;
-#endif
 
 	g_return_val_if_fail(js !=NULL, NULL);
 
@@ -346,28 +337,6 @@
 	purple_xmlnode_set_attrib(c, "hash", "sha-1");
 	purple_xmlnode_set_attrib(c, "ver", jabber_caps_get_own_hash(js));
 
-#ifdef USE_VV
-	/*
-	 * MASSIVE HUGE DISGUSTING HACK
-	 * This is a huge hack. As far as I can tell, Google Talk's gmail client
-	 * doesn't bother to check the actual features we advertise; they
-	 * just assume that if we specify a 'voice-v1' ext (ignoring that
-	 * these are to be assigned no semantic value), we support receiving voice
-	 * calls.
-	 *
-	 * Ditto for 'video-v1'.
-	 */
-	audio_enabled = jabber_audio_enabled(js, NULL /* unused */);
-	video_enabled = jabber_video_enabled(js, NULL /* unused */);
-
-	if (audio_enabled && video_enabled)
-		purple_xmlnode_set_attrib(c, "ext", "voice-v1 camera-v1 video-v1");
-	else if (audio_enabled)
-		purple_xmlnode_set_attrib(c, "ext", "voice-v1");
-	else if (video_enabled)
-		purple_xmlnode_set_attrib(c, "ext", "camera-v1 video-v1");
-#endif
-
 	return presence;
 }
 
@@ -864,7 +833,6 @@
 
 	jbr = jabber_buddy_find_resource(presence->jb, NULL);
 	if (jbr) {
-		jabber_google_presence_incoming(js, buddy_name, jbr);
 		purple_protocol_got_user_status(account, buddy_name,
 				jabber_buddy_state_get_status_id(jbr->state),
 				"priority", jbr->priority,
diff --git a/libpurple/protocols/jabber/roster.c b/libpurple/protocols/jabber/roster.c
--- a/libpurple/protocols/jabber/roster.c
+++ b/libpurple/protocols/jabber/roster.c
@@ -24,8 +24,6 @@
 
 #include "buddy.h"
 #include "chat.h"
-#include "google/google.h"
-#include "google/google_roster.h"
 #include "presence.h"
 #include "roster.h"
 #include "iq.h"
@@ -75,15 +73,8 @@
 void jabber_roster_request(JabberStream *js)
 {
 	JabberIq *iq;
-	PurpleXmlNode *query;
 
 	iq = jabber_iq_new_query(js, JABBER_IQ_GET, "jabber:iq:roster");
-	query = purple_xmlnode_get_child(iq->node, "query");
-
-	if (js->server_caps & JABBER_CAP_GOOGLE_ROSTER) {
-		purple_xmlnode_set_attrib(query, "xmlns:gr", NS_GOOGLE_ROSTER);
-		purple_xmlnode_set_attrib(query, "gr:ext", "2");
-	}
 
 	jabber_iq_set_callback(iq, roster_request_cb, NULL);
 	jabber_iq_send(iq);
@@ -245,10 +236,6 @@
 		} else {
 			GSList *groups = NULL;
 
-			if (js->server_caps & JABBER_CAP_GOOGLE_ROSTER)
-				if (!jabber_google_roster_incoming(js, item))
-					continue;
-
 			for(group = purple_xmlnode_get_child(item, "group"); group; group = purple_xmlnode_get_next_twin(group)) {
 				char *group_name = purple_xmlnode_get_data(group);
 
@@ -343,11 +330,6 @@
 
 	g_slist_free(groups);
 
-	if (js->server_caps & JABBER_CAP_GOOGLE_ROSTER) {
-		jabber_google_roster_outgoing(js, query, item);
-		purple_xmlnode_set_attrib(query, "xmlns:gr", NS_GOOGLE_ROSTER);
-		purple_xmlnode_set_attrib(query, "gr:ext", "2");
-	}
 	jabber_iq_send(iq);
 }
 
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -142,14 +142,6 @@
 libpurple/protocols/jabber/chat.c
 libpurple/protocols/jabber/data.c
 libpurple/protocols/jabber/disco.c
-libpurple/protocols/jabber/google/google.c
-libpurple/protocols/jabber/google/google_p2p.c
-libpurple/protocols/jabber/google/google_presence.c
-libpurple/protocols/jabber/google/google_roster.c
-libpurple/protocols/jabber/google/google_session.c
-libpurple/protocols/jabber/google/jingleinfo.c
-libpurple/protocols/jabber/google/relay.c
-libpurple/protocols/jabber/gtalk.c
 libpurple/protocols/jabber/ibb.c
 libpurple/protocols/jabber/iq.c
 libpurple/protocols/jabber/jabber.c
